-- Holds the language of the game client used by the player (default English)
MTSL_CURRENT_LANGUAGE = "English"

-- Contains the names of the professions in different languages/locales
MTSL_LOCALES = {
    -- French
    ["frFR"] = "French",
    ["enGB"] = "English",
    ["enUS"] = "English",
    ["deDE"] = "German",
    ["ruRU"] = "Russian",
    ["esES"] = "Spanish",
    ["esMX"] = "Spanish",
    ["ptBR"] = "Portuguese",
}

MTSL_LOCALES_PROFESSION_RANKS = {
    ["English"] = {
        ["Apprentice"] = "Apprentice",
        ["Journeyman"] = "Journeyman",
        ["Expert"] = "Expert",
        ["Artisan"] = "Artisan",
    },
    ["French"] = {
        ["Apprentice"] = "Apprenti",
        ["Journeyman"] = "Compagnon",
        ["Expert"] = "Expert",
        ["Artisan"] = "Artisan",
    },
    ["German"] = {
        ["Apprentice"] = "Lehrling",
        ["Journeyman"] = "Geselle",
        ["Expert"] = "Experte",
        ["Artisan"] = "Fachmann",
    },
    ["Portuguese"] = {
        ["Apprentice"] = "Aprendiz",
        ["Journeyman"] = "Profissional",
        ["Expert"] = "Perito",
        ["Artisan"] = "Artifice",
    },
    ["Russian"] = {
        ["Apprentice"] = "Ученик",
        ["Journeyman"] = "Подмастерье",
        ["Expert"] = "Умелец",
        ["Artisan"] = "Мастеровой",
    },
    ["Spanish"] = {
        ["Apprentice"] = "Aprendiz",
        ["Journeyman"] = "Oficial",
        ["Expert"] = "Experto",
        ["Artisan"] = "Artesano",
    },
}

MTSL_NAME_PROFESSIONS = { "Alchemy", "Blacksmithing", "Enchanting", "Engineering", "Leatherworking", "Mining", "Tailoring", "Cooking", "First Aid" }

-- Holds for each language the names of the professions
MTSL_LOCALES_PROFESSIONS = {
    ["English"] = {
        ["Alchemy"] = "Alchemy",
        ["Blacksmithing"] = "Blacksmithing",
        ["Enchanting"] = "Enchanting",
        ["Engineering"] = "Engineering",
        ["Leatherworking"] = "Leatherworking",
        ["Mining"] = "Mining",
        ["Tailoring"] = "Tailoring",
        ["Cooking"] = "Cooking",
        ["First Aid"] = "First Aid",
        ["Poisons"] = "Poisons",
    },
    ["French"] = {
        ["Alchimie"] = "Alchemy",
        ["Alchemy"] = "Alchimie",
        ["Forge"] = "Blacksmithing",
        ["Blacksmithing"] = "Forge",
        ["Enchantement"] = "Enchanting",
        ["Enchanting"] = "Enchantement",
        ["Engénieri"] = "Engineering",
        ["Engineering"] = "Engénieri",
        ["Travail du cuir"] = "Leatherworking",
        ["Leatherworking"] = "Travail du cuir",
        ["Minage"] = "Mining",
        ["Mining"] = "Minage",
        ["Couture"] = "Tailoring",
        ["Tailoring"] = "Couture",
        ["Cuisine"] = "Cooking",
        ["Cooking"] = "Cuisine",
        ["Premiers soins"] = "First Aid",
        ["First Aid"] = "Premiers soins",
        ["Poisons"] = "Poisons",
    },
    ["German"] = {
        ["Alchimie"] = "Alchemy",
        ["Alchemy"] = "Alchimie",
        ["Schmiedekunst"] = "Blacksmithing",
        ["Blacksmithing"] = "Schmiedekunst",
        ["Verzauberkunst"] = "Enchanting",
        ["Enchanting"] = "Verzauberkunst",
        ["Ingenieurskunst"] = "Engineering",
        ["Engineering"] = "Ingenieurskunst",
        ["Lederverarbeitung"] = "Leatherworking",
        ["Leatherworking"] = "Lederverarbeitung",
        ["Bergbau"] = "Mining",
        ["Mining"] = "Bergbau",
        ["Schneiderei"] = "Tailoring",
        ["Tailoring"] = "Schneiderei",
        ["Kochkunst"] = "Cooking",
        ["Cooking"] = "Kochkunst",
        ["Erste Hilfe"] = "First Aid",
        ["First Aid"] = "Erste Hilfe",
        ["Poisons"] = "Gifte",
        ["Gifte"] = "Poisons",
    },
    ["Portuguese"] = {
        ["Alquimia"] = "Alchemy",
        ["Alchemy"] = "Alquimia",
        ["Ferraria"] = "Blacksmithing",
        ["Blacksmithing"] = "Ferraria",
        ["Encantamento"] = "Enchanting",
        ["Enchanting"] = "Encantamento",
        ["Engenharia"] = "Engineering",
        ["Engineering"] = "Engenharia",
        ["Couraria"] = "Leatherworking",
        ["Leatherworking"] = "Couraria",
        ["Mineração"] = "Mining",
        ["Mining"] = "Mineração",
        ["Alfaiataria"] = "Tailoring",
        ["Tailoring"] = "Alfaiataria",
        ["Culinária"] = "Cooking",
        ["Cooking"] = "Culinária",
        ["Primeiros Socorros"] = "First Aid",
        ["First Aid"] = "Primeiros Socorros",
        ["Venenos"] = "Poisons",
        ["Poisons"] = "Venenos",
    },
    ["Russian"] = {
        ["Алхимия"] = "Alchemy",
        ["Alchemy"] = "Алхимия",
        ["Кузнечное дело"] = "Blacksmithing",
        ["Blacksmithing"] = "Кузнечное дело",
        ["Наложение чар"] = "Enchanting",
        ["Enchanting"] = "Наложение чар",
        ["Инженерное дело"] = "Engineering",
        ["Engineering"] = "Инженерное дело",
        ["Кожевничество"] = "Leatherworking",
        ["Leatherworking"] = "Кожевничество",
        ["Горное Дело"] = "Mining",
        ["Mining"] = "Горное Дело",
        ["Портняжное дело"] = "Tailoring",
        ["Tailoring"] = "Портняжное дело",
        ["Кулинария"] = "Cooking",
        ["Cooking"] = "Кулинария",
        ["Первая помощь"] = "First Aid",
        ["First Aid"] = "Первая помощь",
        ["Яды"] = "Poisons",
        ["Poisons"] = "Яды",
    },
    ["Spanish"] = {
        ["Alquimia"] = "Alchemy",
        ["Alchemy"] = "Alquimia",
        ["Herrería"] = "Blacksmithing",
        ["Blacksmithing"] = "Herrería",
        ["Encantamiento"] = "Enchanting",
        ["Enchanting"] = "Encantamiento",
        ["Ingeniería"] = "Engineering",
        ["Engineering"] = "Ingeniería",
        ["Peletería"] = "Leatherworking",
        ["Leatherworking"] = "Peletería",
        ["Minería"] = "Mining",
        ["Mining"] = "Minería",
        ["Sastrería"] = "Tailoring",
        ["Tailoring"] = "Sastrería",
        ["Cocina"] = "Cooking",
        ["Cooking"] = "Cocina",
        ["Primeros auxilios"] = "First Aid",
        ["First Aid"] = "Primeros auxilios",
        ["Venenos"] = "Poisons",
        ["Poisons"] = "Venenos",
    },
}

-- Holds for each language the names of the skills & reputation levels
MTSL_LOCALES_REP_LEVELS = {
    ["English"] = {
        ["UNKNOWN"] = "UNKNOWN",
        ["HATED"] = "HATED",
        ["HOSTILE"] = "HOSTILE",
        ["UNFRIENDLY"] = "UNFRIENDLY",
        ["NEUTRAL"] = "NEUTRAL",
        ["FRIENDLY"] = "FRIENDLY",
        ["HONORED"] = "HONORED",
        ["REVERED"] = "REVERED",
        ["EXALTED"] = "EXALTED",
    },
    ["French"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        ["NEUTRE"] = "NEUTRAL",
        ["AMICALE"] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["German"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["Portuguese"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["Russian"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["Spanish"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    }
}